Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class Attribute

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.AttributeDesignator
oracle.security.xmlsec.saml.Attribute`

public class Attribute
extends AttributeDesignator

Element supplying the value for an attribute.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Attribute(org.w3c.dom.Document owner)` Creates a new `Attribute` instance.
`Attribute(org.w3c.dom.Element element)` Creates a new `Attribute` instance from the given Element node.
`Attribute(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `Attribute` instance from the given Element node.

Method Summary
`void` | `addAttributeValue(java.lang.String attributeValue)` Adds a the value to the attribute.
`java.util.List` | `getAttributeValues()` Gets the list of values.

Methods inherited from class oracle.security.xmlsec.saml.AttributeDesignator
`getAttributeName, getAttributeNamespace, setAttributeName, setAttributeNamespace`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(org.w3c.dom.Element element)
              throws org.w3c.dom.DOMException

  Creates a new `Attribute` instance from the given Element node.
Parameters:
  `element` - An Attribute element.

### Attribute

    public Attribute(org.w3c.dom.Element element,
                     java.lang.String systemId)
              throws org.w3c.dom.DOMException

  Creates a new `Attribute` instance from the given Element node.
Parameters:
  `element` - An Attribute element.
  `systemId` - The URI string system ID for the `Action`.

### Attribute

    public Attribute(org.w3c.dom.Document owner)
              throws org.w3c.dom.DOMException

  Creates a new `Attribute` instance.
Parameters:
  `owner` - The owner document of the new Attribute.

Method Detail

### addAttributeValue

    public void addAttributeValue(java.lang.String attributeValue)

  Adds a the value to the attribute.
  Parameters:
    `attributeValue` - The String value of the attribute.

### getAttributeValues

    public java.util.List getAttributeValues()

  Gets the list of values.
  Returns:
    A `List` containing String values, or an empty `List` if none has been added.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.